Get rolling release configuration
GET
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/configGet the Rolling Releases configuration for a project. The project-level config is simply a template that will be used for any future rolling release, and not the configuration for any active rolling release.
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/config
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/rolling-release/config?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "rollingRelease": { "canaryResponseHeader": "false", "gate": { "action": "pause", "checks": [ { "excludePaths": [], "excludeStatusCodes": [], "ingestWatermarkSeconds": "30", "significanceLevel": "0.05", "type": "error-rate-5xx" } ], "dryRun": "false", "enabled": "false", "failureThreshold": "3", "windowSize": "5" }, "stages": [ { "duration": "600", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" } ], "target": "production" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error